org.eclipse.gef.handles

## Class MoveHandleLocator

- java.lang.Object
- - org.eclipse.gef.handles.MoveHandleLocator

All Implemented Interfaces:
  Locator

    public class MoveHandleLocator
    extends java.lang.Object
    implements Locator

A Locator used to place `MoveHandle`s. By default, a MoveHandle's bounds are equal to its owner figure's bounds, expanded by the handle's `Insets`.

### Constructor Summary

Constructors
Constructor and Description
`MoveHandleLocator(IFigure ref)` Creates a new MoveHandleLocator and sets its reference figure to `ref`.

### Method Summary

Methods
`protected IFigure` `getReference()` Returns the reference figure for this locator.
`void` `relocate(IFigure target)` Sets the handle's bounds to that of its owner figure's bounds, expanded by the handle's Insets.
`void` `setReference(IFigure follow)` Sets the reference figure.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MoveHandleLocator

    public MoveHandleLocator(IFigure ref)

Creates a new MoveHandleLocator and sets its reference figure to `ref`. The reference figure should be the handle's owner figure.

Parameters:
  `ref` - the handle's owner

### Method Detail

#### getReference

    protected IFigure getReference()

Returns the reference figure for this locator.

Returns:
  the handle's owner

#### relocate

    public void relocate(IFigure target)

Sets the handle's bounds to that of its owner figure's bounds, expanded by the handle's Insets.

Specified by:
  `relocate` in interface `Locator`
Parameters:
  `target` - The IFigure to relocate

#### setReference

    public void setReference(IFigure follow)

Sets the reference figure.

Parameters:
  `follow` - the reference figure, should be the handle's owner figure